package intrinsic.flash.events;

public class DRMAuthenticateEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public Object passwordPrompt;
	public Object urlPrompt;
	public Object header;
	public Object originater;
	public Object authenticationType;
	public Object usernamePrompt;

	/** Variables */

	/** Constants */
	public static final String AUTHENTICATION_TYPE_PROXY = "authentication_type_proxy";
	public static final String DRM_AUTHENTICATE = "drm_authenticate";
	public static final String AUTHENTICATION_TYPE_DRM = "authentication_type_drm";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DRMAuthenticateEvent() {
}

public DRMAuthenticateEvent(String arg0) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4, String arg5) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4, String arg5, String arg6) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4, String arg5, String arg6, String arg7) {
}

public DRMAuthenticateEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4, String arg5, String arg6, String arg7, Object arg8) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
